From f6946fe2a85ed2926a5de8cfc3ea305a5669deb0 Mon Sep 17 00:00:00 2001
From: Aditya Vidyadhar Kamath <Aditya.Kamath1@ibm.com>
Date: Mon, 17 Apr 2023 07:36:46 -0500
Subject: [PATCH] Fix PC read in psymtab but not in symtab warning for AIX

In AIX on running next command in shared library we see psymtab PC is
found but not in symtab warnings.

This is because of some false psymtab entries.

In this patch I have removed the same and the GDB base testsuite numbers remain unchanged.
---
 gdb/xcoffread.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/gdb/xcoffread.c b/gdb/xcoffread.c
index c96cf551c99..3576408242a 100644
--- a/gdb/xcoffread.c
+++ b/gdb/xcoffread.c
@@ -2504,14 +2504,14 @@ scan_xcoff_symtab (minimal_symbol_reader &reader,
 	      case 'G':
 		/* The addresses in these entries are reported to be
 		   wrong.  See the code that reads 'G's for symtabs.  */
-		pst->add_psymbol (gdb::string_view (namestring,
+		/* pst->add_psymbol (gdb::string_view (namestring,
 						    p - namestring),
 				  true, VAR_DOMAIN, LOC_STATIC,
 				  SECT_OFF_DATA (objfile),
 				  psymbol_placement::GLOBAL,
 				  symbol.n_value,
 				  psymtab_language,
-				  partial_symtabs, objfile);
+				  partial_symtabs, objfile); */
 		continue;
 
 	      case 'T':
@@ -2671,14 +2671,14 @@ scan_xcoff_symtab (minimal_symbol_reader &reader,
 		   errors.  */
 		if (startswith (namestring, "@FIX"))
 		  continue;
-		pst->add_psymbol (gdb::string_view (namestring,
+		/* pst->add_psymbol (gdb::string_view (namestring,
 						    p - namestring),
 				  true, VAR_DOMAIN, LOC_BLOCK,
 				  SECT_OFF_TEXT (objfile),
 				  psymbol_placement::GLOBAL,
 				  symbol.n_value,
 				  psymtab_language,
-				  partial_symtabs, objfile);
+				  partial_symtabs, objfile); */
 		continue;
 
 		/* Two things show up here (hopefully); static symbols of
-- 
2.38.3

